sailpoint.object

## Class Filter.BaseFilterVisitor

- java.lang.Object
- - sailpoint.object.Filter.BaseFilterVisitor

All Implemented Interfaces:
  Filter.FilterVisitor

Enclosing class:
  Filter

    public static class Filter.BaseFilterVisitor
    extends java.lang.Object
    implements Filter.FilterVisitor

### Constructor Summary

Constructors
Constructor and Description
`BaseFilterVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitAnd(Filter.CompositeFilter filter)`
`void` `visitCollectionCondition(Filter.LeafFilter filter)`
`void` `visitContainsAll(Filter.LeafFilter filter)`
`void` `visitEQ(Filter.LeafFilter filter)`
`void` `visitGE(Filter.LeafFilter filter)`
`void` `visitGT(Filter.LeafFilter filter)`
`void` `visitIn(Filter.LeafFilter filter)`
`void` `visitIsEmpty(Filter.LeafFilter filter)`
`void` `visitIsNull(Filter.LeafFilter filter)`
`void` `visitJoin(Filter.LeafFilter filter)`
`void` `visitLE(Filter.LeafFilter filter)`
`void` `visitLeftJoin(Filter.LeafFilter filter)`
`void` `visitLike(Filter.LeafFilter filter)`
`void` `visitLT(Filter.LeafFilter filter)`
`void` `visitNE(Filter.LeafFilter filter)`
`void` `visitNot(Filter.CompositeFilter filter)`
`void` `visitNotNull(Filter.LeafFilter filter)`
`void` `visitOr(Filter.CompositeFilter filter)`
`void` `visitSubquery(Filter.LeafFilter filter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseFilterVisitor

    public BaseFilterVisitor()

### Method Detail

#### visitAnd

    public void visitAnd(Filter.CompositeFilter filter)
                  throws GeneralException

Specified by:
  `visitAnd` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitOr

    public void visitOr(Filter.CompositeFilter filter)
                 throws GeneralException

Specified by:
  `visitOr` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitNot

    public void visitNot(Filter.CompositeFilter filter)
                  throws GeneralException

Specified by:
  `visitNot` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitEQ

    public void visitEQ(Filter.LeafFilter filter)
                 throws GeneralException

Specified by:
  `visitEQ` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitNE

    public void visitNE(Filter.LeafFilter filter)
                 throws GeneralException

Specified by:
  `visitNE` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitLT

    public void visitLT(Filter.LeafFilter filter)
                 throws GeneralException

Specified by:
  `visitLT` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitGT

    public void visitGT(Filter.LeafFilter filter)
                 throws GeneralException

Specified by:
  `visitGT` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitLE

    public void visitLE(Filter.LeafFilter filter)
                 throws GeneralException

Specified by:
  `visitLE` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitGE

    public void visitGE(Filter.LeafFilter filter)
                 throws GeneralException

Specified by:
  `visitGE` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitIn

    public void visitIn(Filter.LeafFilter filter)
                 throws GeneralException

Specified by:
  `visitIn` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitContainsAll

    public void visitContainsAll(Filter.LeafFilter filter)
                          throws GeneralException

Specified by:
  `visitContainsAll` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitLike

    public void visitLike(Filter.LeafFilter filter)
                   throws GeneralException

Specified by:
  `visitLike` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitNotNull

    public void visitNotNull(Filter.LeafFilter filter)
                      throws GeneralException

Specified by:
  `visitNotNull` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitIsNull

    public void visitIsNull(Filter.LeafFilter filter)
                     throws GeneralException

Specified by:
  `visitIsNull` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitIsEmpty

    public void visitIsEmpty(Filter.LeafFilter filter)
                      throws GeneralException

Specified by:
  `visitIsEmpty` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitJoin

    public void visitJoin(Filter.LeafFilter filter)
                   throws GeneralException

Specified by:
  `visitJoin` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitLeftJoin

    public void visitLeftJoin(Filter.LeafFilter filter)
                       throws GeneralException

Specified by:
  `visitLeftJoin` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitCollectionCondition

    public void visitCollectionCondition(Filter.LeafFilter filter)
                                  throws GeneralException

Specified by:
  `visitCollectionCondition` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`

#### visitSubquery

    public void visitSubquery(Filter.LeafFilter filter)
                       throws GeneralException

Specified by:
  `visitSubquery` in interface `Filter.FilterVisitor`
Throws:
  `GeneralException`